Subject: Re: What's cooking in git.git (topics)

From: Jakub Narebski <[email-masked]>
Date: Mon, 18 Feb 2008 02:05:33 +0100

Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes:
> 
> > 1. Currently tests check _built_ version:
> >
> >    # Test the binaries we have just built.  The tests are kept in
> >    # t/ subdirectory and are run in trash subdirectory.
> >
> >    It would be nice if there were a switch which would allow to test
> >    _installed_ (somewhere) version of git, to check for errors like
> >    some script not finding some command etc.
> 
> If you are saying _in addition_ I would not stop you, but I am
> not interested in testing installed version at all.  Testing
> after installing is already too late.

Of course I'm saying "in addition": I wrote "if there were a switch",
meaning that current running test for built git would be default, and
after setting some environment variable for example it would test
installed (or rather pre-installed) version.

It would be testing halfway during installing: we should install to some 
DESTDIR (like rpm does when building from SRPM), 
e.g. /tmp/git-<version>-root/, or something like that.

-- 
Jakub Narebski
Poland